[PATCH] osmocom-bb[master]: Introduce contrib/jenkins.sh to enable gerrit verification[1]

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

blobb gerrit-no-reply at lists.osmocom.org
Wed May 24 13:12:31 UTC 2017


Hello Jenkins Builder,

I'd like you to reexamine a change.  Please visit

    https://gerrit.osmocom.org/2726

to look at the new patch set (#3).

Introduce contrib/jenkins.sh to enable gerrit verification[1]

First, jenkins.sh builds libosmocore dependency.
Then it compiles the "host" (PC) part of OsmocomBB.

After "libosmocore embedded"-build has been introduced this
script will use it instead of the x86 dep.

[1] http://jenkins.osmocom.org/jenkins/job/osmocomBB-gerrit/

Change-Id: Ife88be9022fc1fc1baee7f11872e5b8db4215682
---
A contrib/jenkins.sh
1 file changed, 27 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/osmocom-bb refs/changes/26/2726/3

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 0000000..0d33efd
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+
+set -ex
+
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
+
+mkdir "$deps" || true
+rm -rf "$inst"
+
+osmo-build-dep.sh libosmocore "" ac_cv_path_DOXYGEN=false
+
+# TODO: ask whether fail is expected, because osmocom-bb build succeeds?
+#"$deps"/libosmocore/contrib/verify_value_string_arrays_are_terminated.py $(find . -name "*.[hc]")
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
+export LD_LIBRARY_PATH="$inst/lib"
+
+echo
+echo "=============================== OsmocomBB ==============================="
+echo
+
+cd src/host/layer23
+autoreconf -fi
+./configure make

-- 
To view, visit https://gerrit.osmocom.org/2726
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newpatchset
Gerrit-Change-Id: Ife88be9022fc1fc1baee7f11872e5b8db4215682
Gerrit-PatchSet: 3
Gerrit-Project: osmocom-bb
Gerrit-Branch: master
Gerrit-Owner: blobb <dr.blobb at gmail.com>
Gerrit-Reviewer: Harald Welte <laforge at gnumonks.org>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: Neels Hofmeyr <nhofmeyr at sysmocom.de>
Gerrit-Reviewer: Vadim Yanitskiy <axilirator at gmail.com>



More information about the gerrit-log mailing list